cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rick Castello <rcaste...@thevan.com>
Subject Help with User-Agent for multiple versions of the same browser pl atform
Date Thu, 05 Apr 2001 18:59:39 GMT

I'm developing for multiple devices.

The standard cocoon.properties works great for
HandHTTP, Netscape, MSIE, etc.

I run into a problem with Pocket Internet Explorer.
The default cocoon.properties maps it like so:

    pocketexplorer=MSPIE

However, my server logs show all connections from 
Pocket Internet Explorer as:
   
    Mozilla/2.0 (compatible; MSIE3.02; Windows CE; 240x320)

This certainly doesn't seem like it will match against 
MSPIE.

I tried:	      pocketexplorer=Windows CE 
(which would have width problems for people on Handheld CE 
instead of Pocket CE, but it would have been a start).  

I also tried:     pocketexplorer=240x320
which didn't work either.

I tried again:    pocketexplorer='Windows CE'
and:			pocketexplorer=Windows CE
which also failed.

Can anyone point me in the right direction, please?

Even a bit of help on allowable syntax and exactly what
fields or parts of fields this identifier attempts to 
match against would be extremely helpful...

Many thanks!

Please reply to me as well as the list, as I am not 
currently subscribed (but I searched the archives first!).

-Rick


Rick Castello
Director of Research & Development 
Virtual Access Networks
rcastello at thevan dot com 

---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


Mime
View raw message